Subject: bug#26624: 26.0.50; Generalized variable `buffer-local-value' does't restore local flag

From: Eli Zaretskii <[email-masked]>
Date: Wed, 27 Dec 2017 18:10:49 +0200

> From: Michael Heerdegen <[email-masked]>
> Cc: Philipp Stephani <[email-masked]>,  [email-masked],  [email-masked]
> Date: Tue, 26 Dec 2017 23:19:33 +0100
> 
> I guess it's not really worth the time to implement an infrastructure
> for gv-expander obsoletion, because we will probably make use of it only
> every 150 years (estimation).  So it could be that nobody wants to do
> this for quite a while.
> 
> Would it be acceptable if the gv setter of `buffer-local-value' would
> just print a warning (i.e., solve it "by hand")?  Not perfect, admitted,
> but still much better than leaving this unfixed.

Is it (better than leaving this unfixed)?

In any case, I don't think I understand the suggestion in detail.  Can
you show a patch or an idea of a patch?

Thanks.